Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065772 - [abrt] geoclue2: g_type_check_instance_cast(): geoclue killed by SIGSEGV
Summary: [abrt] geoclue2: g_type_check_instance_cast(): geoclue killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue2
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7954bf2a726c9ab2f180bf322b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 20:47 UTC by Igor Gnatenko
Modified: 2016-09-20 01:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-28 12:45:40 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-16 20:47 UTC, Igor Gnatenko
no flags Details
File: cgroup (deleted)
2014-02-16 20:47 UTC, Igor Gnatenko
no flags Details
File: core_backtrace (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: dso_list (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: environ (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: exploitable (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: limits (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: maps (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: open_fds (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: proc_pid_status (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details
File: var_log_messages (deleted)
2014-02-16 20:48 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2014-02-16 20:47:52 UTC
Version-Release number of selected component:
geoclue2-2.1.2-2.fc21

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue -t 5
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/geoclue
kernel:         3.14.0-0.rc1.git4.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            997

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_type_check_instance_cast at gtype.c:4002
 #1 on_location_changed at gclue-locator.c:70
 #7 g_object_notify_by_spec_internal at gobject.c:1146
 #8 g_object_notify at gobject.c:1193
 #9 gclue_location_source_set_location at gclue-location-source.c:155
 #10 query_callback at gclue-web-source.c:89
 #11 soup_session_process_queue_item at soup-session.c:1959
 #12 async_run_queue at soup-session.c:1997
 #13 idle_run_queue at soup-session.c:2031

Comment 1 Igor Gnatenko 2014-02-16 20:47:57 UTC
Created attachment 863834 [details]
File: backtrace

Comment 2 Igor Gnatenko 2014-02-16 20:47:59 UTC
Created attachment 863835 [details]
File: cgroup

Comment 3 Igor Gnatenko 2014-02-16 20:48:01 UTC
Created attachment 863836 [details]
File: core_backtrace

Comment 4 Igor Gnatenko 2014-02-16 20:48:03 UTC
Created attachment 863837 [details]
File: dso_list

Comment 5 Igor Gnatenko 2014-02-16 20:48:05 UTC
Created attachment 863838 [details]
File: environ

Comment 6 Igor Gnatenko 2014-02-16 20:48:08 UTC
Created attachment 863839 [details]
File: exploitable

Comment 7 Igor Gnatenko 2014-02-16 20:48:10 UTC
Created attachment 863840 [details]
File: limits

Comment 8 Igor Gnatenko 2014-02-16 20:48:13 UTC
Created attachment 863841 [details]
File: maps

Comment 9 Igor Gnatenko 2014-02-16 20:48:16 UTC
Created attachment 863842 [details]
File: open_fds

Comment 10 Igor Gnatenko 2014-02-16 20:48:18 UTC
Created attachment 863843 [details]
File: proc_pid_status

Comment 11 Igor Gnatenko 2014-02-16 20:48:20 UTC
Created attachment 863844 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 15:29:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Zeeshan Ali 2015-05-05 22:36:33 UTC
Could you please try to reproduce against the latest version in F22: 2.2.0? If you can and and stack trace is the same as bug#1215367, please mark that bug as duplicate of this one.

Comment 14 Igor Gnatenko 2016-06-28 12:45:40 UTC
Closing this issue as it is old. If you still think that it exists - reopen please. Thanks!


Note You need to log in before you can comment on or make changes to this bug.